com.amazon.redshift

## Interface IPlugin

All Known Implementing Classes:
  AdfsCredentialsProvider, AzureCredentialsProvider, BasicNativeSamlCredentialsProvider, BasicSamlCredentialsProvider, BrowserAzureCredentialsProvider, BrowserSamlCredentialsProvider, OktaCredentialsProvider, PingCredentialsProvider, SamlCredentialsProvider

    public interface IPlugin

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addParameter(String key, String value)`
`String` `getCacheKey()`
`String` `getIdpToken()`
`String` `getPluginSpecificCacheKey()`
`int` `getSubType()`
`void` `setGroupFederation(boolean groupFederation)`
`void` `setLogger(RedshiftLogger log)`

### Method Detail

#### addParameter

    void addParameter(String key,
                      String value)

#### setLogger

    void setLogger(RedshiftLogger log)

#### getPluginSpecificCacheKey

    String getPluginSpecificCacheKey()

#### setGroupFederation

    void setGroupFederation(boolean groupFederation)

#### getIdpToken

    String getIdpToken()

#### getCacheKey

    String getCacheKey()

#### getSubType

    int getSubType()